Bug 865706 - Add Known Issues to Release Notes
Add Known Issues to Release Notes
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: doc-Release-Notes (Show other bugs)
2.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Misha H. Ali
:
: 867654 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 04:09 EDT by Libor Fuka
Modified: 2012-11-08 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 17:10:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Fuka 2012-10-12 04:09:34 EDT
Description of problem:

Known issues for EWS 2.0:
JBPAPP-10084 - IPv6 :: address slowing down Tomcat6/7 on MS Windows




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Misha H. Ali 2012-10-14 21:39:55 EDT
BZ-865460 and BZ-865404 appear to be duplicates. Documented one, left off the other for confirmation of duplication or clarification.

The rest are added to the Release Notes. This bug will be updated with a link once the changes appear on the stage.
Comment 4 Libor Fuka 2012-10-18 09:16:50 EDT
delete these:
JBPAPP-9788 - Tomcat with mod_cluster refuses to shut down
JBPAPP-10159 - EWS 2.0 - RPM installation - RHEL5 x86_64 - not possible to install httpd-devel

May be there are some other known issues - please search EWS20 JIRAs and look for Affects: Release Notes
Comment 5 Misha H. Ali 2012-10-22 23:27:10 EDT
Removed bugs specified in comment#4.

Looking at filter specified by Rajesh for more issues:

https://issues.jboss.org/secure/IssueNavigator.jspa?mode=hide&requestId=12317994
Comment 6 Libor Fuka 2012-10-23 04:30:28 EDT
This should be also removed from known issues:
JBPAPP-10159 - EWS 2.0 - RPM installation - RHEL5 x86_64 - not possible to install httpd-devel
Comment 7 Misha H. Ali 2012-10-23 21:15:20 EDT
*** Bug 867654 has been marked as a duplicate of this bug. ***
Comment 8 Misha H. Ali 2012-10-23 22:44:02 EDT
Sorry Libor, I should have been explicit. The changes are not staged yet as I am still adding JIRAs from the filter specified in comment#5 and so did not set it for QA yet.
Comment 9 Misha H. Ali 2012-10-25 00:16:02 EDT
Known issues list is now complete and can be seen here:

http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Web_Server/2/html/2.0.0_Release_Notes/Release_Notes_JBEWS-Known_Issues.html

Requesting QE to verify that the description for each problem is accurate. I have received feedback from JIRA assignees so the text should be accurate.
Comment 10 Misha H. Ali 2012-10-25 06:21:54 EDT
Sorry, it appears the docs stage is once again not working, or at least not refreshing for the last 3 hours or so. Until this is fixed, please verify updates here:

http://file.bne.redhat.com/~mhusnain/2.0.0_Release_Notes/html-single/
Comment 11 Radim Hatlapatka 2012-10-25 07:18:33 EDT
Typo in 1.2

In sentence :The jboss-ews-docs-2.0.0.zip file contains documentation aout the following

there is "aout", should be about

In known issues
-- JBPAPP-10112
   -- there doesn't have to be used dualstack in order to get this error. This error occurs also if using only IPv6 addresses => the note about mixed protocol setting should be removed from here
   -- just note: if you look into the linked JIRAs from JBPAPP-10112 you can see it, that it behaves the same way for only IPv6 setting
Comment 12 Misha H. Ali 2012-10-25 10:38:06 EDT
* Fixed the aout typo in Release Notes and same information in Install guide. (links to follow)

* Updated release note for JBPAPP-10112 in Release Notes and in JIRA.
Comment 14 Libor Fuka 2012-10-26 02:58:25 EDT
Add this to Known issues: https://issues.jboss.org/browse/JBPAPP-9537

Others looks OK.
Comment 15 Libor Fuka 2012-10-26 03:16:31 EDT
sorry 9537 will not be in Known Issues.

So, Known issues are OK. Verified.
Comment 16 Radim Hatlapatka 2012-10-26 08:06:03 EDT
There appeared new known issue: https://issues.jboss.org/browse/JBPAPP-10280
=> reopening
Comment 17 Radim Hatlapatka 2012-10-26 10:46:22 EDT
We found out, that issue described in https://issues.jboss.org/browse/JBPAPP-10234 is not actually a bug, but it was just an error in a test => it shouldn't be in release notes as known issue
Comment 18 Misha H. Ali 2012-10-26 16:40:40 EDT
Added JBPAPP-10280 and removed JBPAPP-10234. This bug will be set to ON_QA when the changes appear on the stage.
Comment 20 Radim Hatlapatka 2012-10-29 04:21:07 EDT
JBPAPP-10280 

- the way how to run the jsvc in the jira was only an example => update it in docs to make clear that the command doesn't need to look exactly the same

- the error message as whole is actually shown in error file (denoted from the command by parameter of -errfile) => please update it in docs to make it more accurate
Comment 21 Misha H. Ali 2012-10-29 05:37:16 EDT
This should be OK now. This bug will be set to ON_QA once the changes appear on the stage.
Comment 22 Misha H. Ali 2012-10-29 06:14:42 EDT
Available for verification here:
Comment 24 Radim Hatlapatka 2012-10-29 06:57:15 EDT
Sorry for that, but there is one more thing. There should be noted more clearly that issue JBPAPP-10280 causes that jsvc does not start. When I am reading it it seems as it causes just the error output.

Additionally the sentence is very difficult to read:
using a command similar to the following example command to run jsvc fails

=> I would suggest changing it to something like this:
running jsvc causes an error preventing it to start. For starting jsvc you can use command similar to this one ....
Comment 25 Misha H. Ali 2012-10-29 07:44:22 EDT
Amended sentence for clarity.
Comment 27 Radim Hatlapatka 2012-10-29 08:23:46 EDT
Now it is ok.
Comment 28 Misha H. Ali 2012-10-31 21:34:59 EDT
Adding some new Known Issues as reported to me by Jan and Libor:

JBPAPP-9703
JBPAPP-10316
JBPAPP-10311

Adding Jan to cc for the first issue.
Comment 30 Misha H. Ali 2012-11-01 19:03:41 EDT
Comment from Libor for this bug: 

Misha, please add this JBPAPP-10315 to Known Issues and look also at JBPAPP-10316 for new comments.

Setting back to assigned.
Comment 32 Libor Fuka 2012-11-02 03:43:48 EDT
I think this not correct: JBPAPP-10315 
Please verify it with David knox.
Comment 33 Misha H. Ali 2012-11-04 17:51:57 EST
Adding David Knox for a NEEDINFO for this JIRA:

https://issues.jboss.org/browse/JBPAPP-10315

I'm not sure how to set a needinfo or similar in JIRA, so apologies for the roundabout Need Info request.
Comment 34 Misha H. Ali 2012-11-04 18:03:29 EST
Also adding one more issue to release notes identified by Libor:

JBPAPP-10334

This bug will be set to ON_QA when this and the bug that requires info from DKnox are documented.
Comment 35 Misha H. Ali 2012-11-05 10:19:53 EST
Some further last minute additions: 

https://issues.jboss.org/browse/JBPAPP-9958 

and

https://issues.jboss.org/browse/JBPAPP-10321
Comment 37 Misha H. Ali 2012-11-08 17:10:58 EST
This bug is set to CLOSED CURRENT RELEASE to indicate that this fix is now released and available at access.redhat.com.

Note You need to log in before you can comment on or make changes to this bug.